# BMUI

Bluemoon Moon UI (currently based on Vue)

## Demo

[here](https://viyayaya.github.io/bmui)

## Development

```
  npm run dev
```
## Production

```
  npm run build && npm run es
```


## Usage

```
  npm install bmui
```
### ES Module（Recommend）

```javascript
  import 'bmui' // import CSS file
  import { CellText } from 'bmui/es/vue' // Vue components
  import Vue from 'vue'
  Vue.use(CellText) // add what u need
```

### Add all Components

``` javascript
  import 'bmui' // import CSS file
  import Bmui from 'bmui/dist/vue' // Vue components
  import Vue from 'vue'
  Vue.use(Bmui) // add all components
```

# Example

Please refer to [the demo for vue](https://viyayaya.github.io/bmui)

