// 将src文件编译成ES Module，并输出到es文件夹
const { clearDir, copyDir, compileDir } = require('./common')
const path = require('path')
const ESPATH = path.join(__dirname, '../es')
const SRCPATH = path.join(__dirname, '../src')

async function main () {
  // 清空es文件夹 --- common.js
  await clearDir(ESPATH)
  // 复制src文件内容到es文件夹
  await copyDir(SRCPATH, ESPATH)
  // 遍历编译es文件夹下的所有js/vue文件
  compileDir(ESPATH)
}

main()
