// 编译js文件
const babelCore = require("@babel/core");
const fs = require("fs-extra");

// 将文件中import xxx from 'xxxx.vue' 改为 import xxx from 'xxxx.js'
// 暂未实现
function replaceVue (code) {
  return code
}

function compileJs(filePath) {
  return new Promise((resolve, reject) => {
    let code = fs.readFileSync(filePath, 'utf-8');
    babelCore.transformAsync(code, {
      filename: filePath,
      babelrc: false,
      presets: [
        ["@babel/preset-env", {
          "modules": false
        }]
      ]
    }).then(result => {
      if (result) {
        let code = replaceVue(result.code)
        fs.outputFileSync(filePath, code)
        resolve()
      }
    }).catch(reject)
  });
}

module.exports = async function (filePath) {
  await compileJs(filePath)
}
