import MixinInput from '../mixins/input';

var __render = function __render() {
  var _vm = this;

  var _h = _vm.$createElement;

  var _c = _vm._self._c || _h;

  return _c('button', _vm._b({
    staticClass: "bmui-selector",
    "class": {
      'bmui-selector-checked': _vm.checkedInside,
      'bmui-selector-disabled': _vm.disabled
    },
    attrs: {
      "type": "button",
      "disabled": _vm.disabled
    },
    on: {
      "click": _vm.click
    }
  }, 'button', _vm.mixinInputProps, false), [_vm._v(_vm._s((typeof _vm.item === 'string' ? _vm.item : _vm.item.name) || 'ITEM'))]);
};

var __staticRender = [];
export default {
  render: __render,
  staticRenderFns: __staticRender,
  name: 'BmuiSelector',
  mixins: [MixinInput],
  props: {
    item: {
      type: [String, Object],
      "default": ''
    }
  },
  methods: {
    click: function click() {
      this.$emit('click', {
        item: typeof this.item === 'string' ? this.item : this.item.value,
        checked: !this.checkedInside
      });
    }
  }
};