import Vue from 'vue';
import PickerComp from '../components/picker';
var Picker = Vue.extend(PickerComp);
var instance;
var container;
export default {
  open: function open(list, value, config) {
    if (instance) return;
    container = config && config.container || document.body;
    instance = new Picker({
      el: document.createElement('div'),
      list: list,
      value: value,
      config: config
    });
    container.appendChild(instance.$el);
  },
  close: function close() {
    if (instance) {
      container.removeChild(instance.$el);
      instance = null;
      container = null;
    }
  }
};